/*! Flickity v2.2.0
https://flickity.metafizzy.co
---------------------------------------------- */

.flickity-enabled {
  position: relative;
}

.flickity-enabled:focus { outline: none; }

.flickity-viewport {
  overflow: hidden;
  position: relative;
  height: 100%;
}

.flickity-slider {
  position: absolute;
  width: 100%;
  height: 100%;
}

/* draggable */

.flickity-enabled.is-draggable {
  -webkit-tap-highlight-color: transparent;
          tap-highlight-color: transparent;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}

.flickity-enabled.is-draggable .flickity-viewport {
  cursor: move;
  cursor: -webkit-grab;
  cursor: grab;
}

.flickity-enabled.is-draggable .flickity-viewport.is-pointer-down {
  cursor: -webkit-grabbing;
  cursor: grabbing;
}

/* ---- flickity-button ---- */

.flickity-button {
  position: absolute;
  background: rgba(255,255,255,0.8);
  border: none;
  color: var(--copper-color);
  box-shadow: 0 1px 3px rgba(0,0,0,0.1);
  border: 1px solid #fff;
  backdrop-filter: blur(2px);
  -webkit-backdrop-filter: blur(2px);
  transition:all 0.3s;
}

.flickity-button:hover {
  background: white;
  cursor: pointer;
}

.flickity-button:focus {
  outline: none;
  box-shadow: 0 0 0 3px var(--copper-color);
}

.flickity-button:active {
  opacity: 0.6;
}

.flickity-button:disabled {
  opacity: 0.3;
  cursor: auto;
  /* prevent disabled button from capturing pointer up event. #716 */
  pointer-events: none;
}

.flickity-button-icon {
  fill: currentColor;
}

/* ---- previous/next buttons ---- */

.flickity-prev-next-button {
  top: 50%;
  width: 32px;
  height: 32px;
  border-radius: 50%;
  /* vertically center */
  transform: translateY(-50%);
}

.flickity-prev-next-button.previous { left: 10px; }
.flickity-prev-next-button.next { right: 10px; }
/* right to left */
.flickity-rtl .flickity-prev-next-button.previous {
  left: auto;
  right: 10px;
}
.flickity-rtl .flickity-prev-next-button.next {
  right: auto;
  left: 10px;
}

.flickity-prev-next-button .flickity-button-icon {
  position: absolute;
  width: 40%;
  height: 40%;
  inset: 30%;
}

/* ---- page dots ---- */

.flickity-page-dots {
  position: absolute;
  width: 100%;
  bottom: -25px;
  padding: 0;
  margin: 0;
  list-style: none;
  text-align: center;
  line-height: 1;
}

.flickity-rtl .flickity-page-dots { direction: rtl; }

.flickity-page-dots .dot {
  display: inline-block;
  width: 10px;
  height: 10px;
  margin: 0 8px;
  background: #333;
  border-radius: 50%;
  opacity: 0.25;
  cursor: pointer;
}

.flickity-page-dots .dot.is-selected {
  opacity: 1;
}

/* Jase Additions */

/* arrows outside */
.flickity-side-arrows.outside .flickity-viewport{
  border-radius:999px;
}

.flickity-side-arrows.outside .flickity-prev-next-button.next{
  right:-10px;
  transform:translate(100%, -50%);
}

.flickity-side-arrows.outside .flickity-prev-next-button.previous{
  left:-10px;
  transform:translate(-100%, -50%);
}

/* nav bottom */

.flickety-nav-bottom .flickity-button {
  background: var(--font-color);
  transition: all 0.3s;
  mix-blend-mode: multiply;
}

.flickety-nav-bottom .flickity-button:hover{
  background:var(--aqua);
}

.flickety-nav-bottom .flickity-prev-next-button {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 32px;
  box-shadow: none;
  border: none;
}

.flickety-nav-bottom .flickity-prev-next-button .flickity-button-icon {
  fill: #fff;
  position: static;
  left: initial;
  top: initial;
  width: 12px;
  height: 12px;
}

.flickety-nav-bottom .flickity-prev-next-button.previous {
  left: 50%;
  transform: translate(calc(-100%), calc(100% + 10px));
  bottom: 0;
  top: initial;
  border-radius: 5px 0 0 5px;
}

.flickety-nav-bottom .flickity-prev-next-button.next {
  left: initial;
  right: 50%;
  transform: translate(calc(100% + 1px), calc(100% + 10px));
  bottom: 0;
  top: initial;
  border-radius: 0 5px 5px 0;
}
